Package twisted :: Package protocols :: Module xmlstream |
[frames | no frames]

## Module twisted.protocols.xmlstream

Classes
`Authenticator` | Base class for business logic of authenticating an XmlStream
`ConnectAuthenticator` |
`XmlStream` |
`XmlStreamFactory` |

Function Summary
| ``hashPassword`(sid, password)` Create a SHA1-digest string of a session identifier and password

Variable Summary
`str` | `RAWDATA_IN_EVENT` = `'//event/rawdata/in'`
`str` | `RAWDATA_OUT_EVENT` = `'//event/rawdata/out'`
`str` | `STREAM_AUTHD_EVENT` = `'//event/stream/authd'`
`str` | `STREAM_END_EVENT` = `'//event/stream/end'`
`str` | `STREAM_ERROR_EVENT` = `'//event/stream/error'`
`str` | `STREAM_START_EVENT` = `'//event/stream/start'`

Function Details

### hashPassword(sid, password) Create a SHA1-digest string of a session identifier and password

Variable Details

    ### RAWDATA_IN_EVENT Type: `str` Value:
        '//event/rawdata/in'

    ### RAWDATA_OUT_EVENT Type: `str` Value:
        '//event/rawdata/out'

    ### STREAM_AUTHD_EVENT Type: `str` Value:
        '//event/stream/authd'

    ### STREAM_END_EVENT Type: `str` Value:
        '//event/stream/end'

    ### STREAM_ERROR_EVENT Type: `str` Value:
        '//event/stream/error'

    ### STREAM_START_EVENT Type: `str` Value:
        '//event/stream/start'

Generated by Epydoc 2.0 on Sat Oct 25 00:54:45 2003 | http://epydoc.sf.net